var main = document.getElementsByTagName('main')[0],
    wobbles = document.getElementsByClassName('wobble'),
    curve = 500;

function setWobble(){
  for (var x = 0; x < wobbles.length; x++){
    wobbles[x].setAttribute('d', 'M0 0 C 250 0, 500 0, 500 0 C 500 250, 500 500, 500 500 C 250 ' + curve + ', 0 500, 0 500 C 0 250, 0 500, 0 0 Z');
  }
  requestAnimationFrame(setWobble);
};

setWobble();

main.addEventListener('scroll', trackScroll);

var scrollSpeed,
    curveAmount;

function trackScroll(){
  scrollSpeed = checkScrollSpeed();
  curveAmount = 500 + scrollSpeed*2;
  
  if (curveAmount > 500){
    curveAmount = Math.min(curveAmount, 750);
  } else {
    curveAmount = Math.max(curveAmount, 250);
  }
  
  TweenMax.to(window, 2.2, {ease: Elastic.easeOut.config(1, 0.3), curve: curveAmount});
  
  if(scrollSpeed != 0){
    requestAnimationFrame(trackScroll);
  }
}

var lastPos,
    newPos,
    timer,
    delta, 
    delay = 100;

var checkScrollSpeed = (function(){
  
    function clear() {
      lastPos = null;
      delta = 0;
    }
  
    clear();
    
    return function(){
      newPos = main.scrollTop;
      
      if ( lastPos != null ){
        delta = newPos -  lastPos;
      }
      
      lastPos = newPos;
      clearTimeout(timer);
      timer = setTimeout(clear, delay);
      
      return delta;
    };
})();